package com.wake.datahubbackend.datahubbackend;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@SpringBootApplication
@EnableJpaRepositories("datahub")
@ComponentScan(basePackages = { "datahub" })
@EntityScan({"datahub.model"})
public class DatahubBackendApplication {

	public static void main(String[] args) {
		SpringApplication.run(DatahubBackendApplication.class, args);
	}

}
