package datahub;

import java.util.Arrays;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;


import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import datahub.model.Dataset;

@Repository
@Transactional(readOnly = false)
public class DatasetRepositoryImpl implements DatasetRepositoryCustom {

	
	@PersistenceContext
	EntityManager em;

	@Override
	public List<Dataset> getDatasetsFiltered(String table, String field, String values) {	
		String aux = values.replaceAll("\\s+", "|");
		
		System.out.println(aux);
		
		String q = "select distinct d.* from dataset d, "+table+" s where d.id = s.dataset_id AND s.`"+field+"` REGEXP '"+aux+"'";
		
		
		Query query = em.createNativeQuery(q,Dataset.class);
		
		return (List<Dataset>) query.getResultList();
	
	}
	


}
