package datahub;

import java.util.ArrayList;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import datahub.model.User;

@Repository
public interface UserRepository  extends CrudRepository<User, Integer> {

	@Query(value = "select * from user where email = ?1", nativeQuery = true)
	public ArrayList<User> getUserByEmail(String email);
	
}
