module.exports = {
  pages: {
    'index': {
      entry: './src/pages/Home/main.js',
      template: 'public/index.html',
      title: 'Home',
      chunks: [ 'chunk-vendors', 'chunk-common', 'index' ]
    },
    'credits': {
      entry: './src/pages/Credits/main.js',
      template: 'public/index.html',
      title: 'Credits',
      chunks: [ 'chunk-vendors', 'chunk-common', 'credits' ]
    },
    'register':{
      entry: './src/pages/Register/main.js',
      template: 'public/index.html',
      title: 'Register',
      chunks: [ 'chunk-vendors', 'chunk-common', 'register' ]
    },
    'list':{
      entry: './src/pages/DatasetList/main.js',
      template: 'public/index.html',
      title: 'List of datasets',
      chunks: [ 'chunk-vendors', 'chunk-common', 'list' ]
    },
    'profile':{
      entry: './src/pages/Profile/main.js',
      template: 'public/index.html',
      title: 'User profile',
      chunks: [ 'chunk-vendors', 'chunk-common', 'profile' ]
    },
    'detail':{
      entry: './src/pages/DatasetDetail/main.js',
      template: 'public/index.html',
      title: 'Dataset detail',
      chunks: [ 'chunk-vendors', 'chunk-common', 'detail' ]
    },
    'addMeta':{
      entry: './src/pages/AddMetadata/main.js',
      template: 'public/index.html',
      title: 'Add metadata information',
      chunks: [ 'chunk-vendors', 'chunk-common', 'addMeta' ]
    },
    'newDataset':{
      entry: './src/pages/NewDataset/main.js',
      template: 'public/index.html',
      title: 'Add new dataset',
      chunks: [ 'chunk-vendors', 'chunk-common', 'newDataset' ]
    },
    'editDataset':{
      entry: './src/pages/EditDataset/main.js',
      template: 'public/index.html',
      title: 'Edit dataset',
      chunks: [ 'chunk-vendors', 'chunk-common', 'editDataset' ]
    },
    'newCategory':{
      entry: './src/pages/NewCategory/main.js',
      template: 'public/index.html',
      title: 'Add new category',
      chunks: [ 'chunk-vendors', 'chunk-common', 'newCategory' ]
    },
    'about':{
      entry: './src/pages/About/main.js',
      template: 'public/index.html',
      title: 'CAbout',
      chunks: [ 'chunk-vendors', 'chunk-common', 'about' ]
    }
  },
  chainWebpack: config => {
    config.module.rules.delete('eslint');
  }
}
